Subject: bug#66213: named columns in org tables

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Sep 2023 19:12:15 +0200

On September 26, 2023 1:06:14 PM GMT+02:00, Paul Stansell <[email-masked]> wrote:
> Hello,
> 
> On this page https://orgmode.org/manual/Advanced-features.html
> it says
> 
> - '!' :: The fields in this line define names for the columns, so that you
> may refer to a column
>          as '$Tot' instead of '$6'.
> 
> However, when I experimented with this I found that the first of the
> following two tables works (in that the empty cells are filled in
> correctly), but the second doesn't (the only difference is the replacement
> of $4 with $c3 in the second table):
> 
> |---+----+----+----|
> | ! | c1 | c2 | c3 |
> | # |  1 |  2 |    |
> | # |  3 |  4 |    |
> |---+----+----+----|
> #+TBLFM: $4 = $c1 + $c2
> 
> |---+----+----+----|
> | ! | c1 | c2 | c3 |
> | # |  1 |  2 |    |
> | # |  3 |  4 |    |
> |---+----+----+----|
> #+TBLFM: $c3 = $c1 + $c2
> 
> Is this a bug?
> 
> I'm using Org mode version 9.7-pre (release_9.6.9-797-g4d0f89)

Thanks, but could you please report this to Org developers first?